Subject: Re: [PATCH v2 4/5] t3301: use test_must_fail instead of !

From: Thomas Rast <[email-masked]>
Date: Sun, 15 Feb 2009 23:07:09 +0100

Jeff King wrote:
> Using "dash" will catch bash-isms, and is pretty commonly available, I
> think.  But this behavior, IIRC, happens on FreeBSD's /bin/sh, which is
> derived from "ash" (so is "dash", but I they have long since diverged).

Thanks, that worked well enough.  It's not in the opensuse repos, but
hey, they track it with git, so it must be good ;-)

> So I don't think there is a catch-all shell that will help you, but some
> "ash" variant is probably your best bet.

I tried plain "ash" (which is in the opensuse repos) but that falls
down due to lack of 'cd -P'.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch